package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 碳排放预测对象 adm_ems_ca_emission_forecast
 *
 * @author ruoyi
 * @date 2024-08-12
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CaEmissionForecast extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 园区代码
     */
    @Excel(name = "园区代码")
    private String areaCode;

    private String areaName;

    /**
     * 日期
     */
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM")
    private String month;

    /**
     * （千克）
     */
    @Excel(name = "", readConverterExp = "千克")
    private Double caEmission;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("areaCode", getAreaCode())
                .append("date", getMonth())
                .append("caEmission", getCaEmission())
                .toString();
    }
}
